Bug 1274728 (CVE-2015-7885) - CVE-2015-7885 kernel: staging/dgnc: information leak in ioctl
Summary: CVE-2015-7885 kernel: staging/dgnc: information leak in ioctl
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-7885
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1274730
Blocks: 1274735
TreeView+ depends on / blocked
 
Reported: 2015-10-23 13:02 UTC by Martin Prpič
Modified: 2019-09-29 13:38 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-18 15:26:46 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-10-23 13:02:50 UTC
An information leak flaw was found in the dgnc_mgmt_ioctl() function of the Linux kernel.

Original report:

http://seclists.org/oss-sec/2015/q4/115

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/?id=4b6184336ebb5c8dc1eae7f7ab46ee608a748b05

Comment 1 Martin Prpič 2015-10-23 13:04:54 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1274730]

Comment 2 Josh Boyer 2015-10-23 13:22:03 UTC
This is in a staging driver.  It requires CONFIG_DGNC to be enabled.  Fedora doesn't enable staging drivers with a very few exceptions.  You might was well close this bug.

Comment 4 Vladis Dronov 2016-01-18 15:26:46 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code with the flaw is not present in the products listed.


Note You need to log in before you can comment on or make changes to this bug.